public class tst {
   public static void main(String args[]) {
     int n = args.length == 0 ? 100000000 : Integer.valueOf(args[0]).intValue();
     tstService service = new tstServiceImpl();
     service.addTstEventListener(new tstEvent() {
	public void processEvent (tstListener event) {
//	  System.out.println (event.getData());
	}
     });
     for (int i = 0 ; i < n ; i++) {
	service.invokeTstListener(i);
     }
   }
}

